## lxqt-runner 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-runner)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

include(CMakeDependentOption)
include(GNUInstallDirs)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(USE_MENU_CACHE "Use libmenu-cache from LXDE to generate the app menu" ON)
option(RUNNER_MATH "Math operations support" ON)
option(RUNNER_VBOX "Virtual Box support" ON)
cmake_dependent_option(RUNNER_VBOX_HEADLESS
    "Use headless mode instead of default window" OFF
    "RUNNER_VBOX" OFF
)

find_package(KF5WindowSystem REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(Qt5Script REQUIRED)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(lxqt REQUIRED)
find_package(lxqt-globalkeys REQUIRED)
find_package(lxqt-globalkeys-ui REQUIRED)
message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")

include(LXQtCompilerSettings NO_POLICY_SCOPE)

set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml Qt5::Script)

if (USE_MENU_CACHE)
    # optionally use libmenu-cache from lxde to generate the application menu
    find_package(PkgConfig REQUIRED QUIET)

    pkg_check_modules(MENU_CACHE REQUIRED QUIET
        libmenu-cache>=0.3.3
    )
endif()

set(lxqt-runner_H_FILES
    dialog.h
    commanditemmodel.h
    widgets.h
    providers.h
    yamlparser.h
    configuredialog/configuredialog.h
)

set(lxqt-runner_CPP_FILES
    main.cpp
    dialog.cpp
    commanditemmodel.cpp
    widgets.cpp
    providers.cpp
    yamlparser.cpp
    configuredialog/configuredialog.cpp
)

set(lxqt-runner_UI_FILES
    dialog.ui
    configuredialog/configuredialog.ui
)

set(QRC_FILES

)

set(lxqt-runner_LIBRARIES
    lxqt
    lxqt-globalkeys
    lxqt-globalkeys-ui
    ${MENU_CACHE_LIBRARIES}
    ${QTX_LIBRARIES}
)

include(LXQtTranslate)

lxqt_translate_ts(lxqt-runner_QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-runner_H_FILES}
        ${lxqt-runner_CPP_FILES}
        ${lxqt-runner_UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(lxqt-runner_QM_LOADER ${PROJECT_NAME})

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

if (RUNNER_VBOX)
    list(APPEND QRC_FILES virtualbox-icons.qrc)
endif()

add_executable(${PROJECT_NAME}
    ${lxqt-runner_CPP_FILES}
    ${lxqt-runner_QRC_SOURCES}
    ${lxqt-runner_QM_FILES}
    ${lxqt-runner_QM_LOADER}
)

target_include_directories(${PROJECT_NAME}
    PRIVATE "$<$<BOOL:${MENU_CACHE_FOUND}>:${MENU_CACHE_INCLUDE_DIRS}>"
)

target_compile_definitions(${PROJECT_NAME}
    PRIVATE "$<$<BOOL:${RUNNER_MATH}>:MATH_ENABLED>"
    PRIVATE "$<$<BOOL:${RUNNER_VBOX}>:VBOX_ENABLED>"
    PRIVATE "$<$<BOOL:${RUNNER_VBOX_HEADLESS}>:VBOX_HEADLESS_ENABLED>"
    PRIVATE "$<$<BOOL:${MENU_CACHE_FOUND}>:HAVE_MENU_CACHE=1>"
)

target_link_libraries(${PROJECT_NAME}
    ${lxqt-runner_LIBRARIES}
    KF5::WindowSystem
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)

# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== debian/changelog ===
lxqt-runner (0.10.0-3) unstable; urgency=medium

  *  Remove dbg package in favor of dbgsym. 

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 23:04:25 +0100

lxqt-runner (0.10.0-2) unstable; urgency=medium

  * Merge to unstable.
  * Update Vcs-* fields.
  * Set liblxqt minimal version to 0.10.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 20:25:12 +0800

lxqt-runner (0.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 07 Nov 2015 12:11:59 +0800

lxqt-runner (0.9.0+20151014-1) experimental; urgency=medium

  * Cherry-picked upstream version 0.9.0+20151014.
  * Set new minimum versions for liblxqt and libqtxdg

 -- Alf Gaida <agaida@siduction.org>  Sat, 31 Oct 2015 17:13:50 +0100

lxqt-runner (0.9.0+20150831-1) experimental; urgency=medium

  [ Alf Gaida ]
  * Cherry-picked upstream version 0.9.0+20150831.
  * Cleaned up debian/.gitignore
  * Switched to experimental because of LXQt namespace change
  * Added minimum version for liblxqt0-dev (>= 0.9.0+20150911)
  * Changed mail address czchen
  * Added upstream signing key and use in watch file
  * Added lintian-override for missed manpage
  * Added source/options
  * Drop transitiona packages
  * Append  -Wl,--as-needed on linker flags
  * Fixed copyright to LGPL2.1+ only
  * Added upstream signing key and use in watch file
  * Beautified debian control
  * Initial debian files
  * Initial release (Closes: #747613)

  [ Andrew Lee (李健秋) ]
  * Adding upstream version 0.9.0.

 -- Alf Gaida <agaida@siduction.org>  Sun, 15 Feb 2015 18:41:53 +0100

=== debian/control ===
Source: lxqt-runner
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: cmake (>= 3.0.2),
               debhelper (>= 9),
               libx11-dev,
               libmenu-cache-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.10.0),
               liblxqt-globalkeys0-dev,
               liblxqt-globalkeys-ui0-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               pkg-config,
               qtbase5-private-dev,
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-runner.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-runner.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-runner

Package: lxqt-runner
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: LXQt program launcher
 Tool used to launch programs quickly by typing their names
 .
 This package contain LXQt runner.

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-runner/releases .*/([\d\.]+).tar.gz

## lxqt-runner 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,6 @@
 find_package(KF5WindowSystem REQUIRED)
 find_package(Qt5Widgets REQUIRED)
 find_package(Qt5Xml REQUIRED)
-find_package(Qt5Script REQUIRED)
 find_package(Qt5LinguistTools REQUIRED QUIET)
 find_package(lxqt REQUIRED)
 find_package(lxqt-globalkeys REQUIRED)
@@ -32,16 +31,22 @@
 
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
-set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml Qt5::Script)
+set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml)
+
+if (USE_MENU_CACHE OR RUNNER_MATH)
+    find_package(PkgConfig REQUIRED QUIET)
+endif ()
 
 if (USE_MENU_CACHE)
     # optionally use libmenu-cache from lxde to generate the application menu
-    find_package(PkgConfig REQUIRED QUIET)
-
     pkg_check_modules(MENU_CACHE REQUIRED QUIET
         libmenu-cache>=0.3.3
     )
 endif()
+
+if (RUNNER_MATH)
+    pkg_check_modules(MUPARSER REQUIRED QUIET muparser)
+endif ()
 
 set(lxqt-runner_H_FILES
     dialog.h
@@ -77,6 +82,7 @@
     lxqt-globalkeys-ui
     ${MENU_CACHE_LIBRARIES}
     ${QTX_LIBRARIES}
+    ${MUPARSER_LDFLAGS}
 )
 
 include(LXQtTranslate)
@@ -89,6 +95,14 @@
         ${lxqt-runner_UI_FILES}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
 )
 
 lxqt_app_translation_loader(lxqt-runner_QM_LOADER ${PROJECT_NAME})
@@ -108,8 +122,13 @@
     ${lxqt-runner_QM_LOADER}
 )
 
+if (RUNNER_MATH)
+    lxqt_enable_target_exceptions("${PROJECT_NAME}" PRIVATE)
+endif ()
+
 target_include_directories(${PROJECT_NAME}
     PRIVATE "$<$<BOOL:${MENU_CACHE_FOUND}>:${MENU_CACHE_INCLUDE_DIRS}>"
+    PRIVATE "$<$<BOOL:${MUPARSER_FOUND}>:${MUPARSER_INCLUDE_DIRS}>"
 )
 
 target_compile_definitions(${PROJECT_NAME}

=== debian/changelog ===
lxqt-runner (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0.
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, standard compat 10
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version libqtxdg-dev (>= 2.0.0)
  * Bumped minimum version liblxqt0-dev (>= 0.11.0)
  * Bumped minimum version liblxqt-globalkeys0-dev (>= 0.11.0),
  * Bumped minimum version liblxqt-globalkeys-ui0-dev (>= 0.11.0),
  * Added build dependency libmuparser-dev
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Removed build dependency qtscript5-dev
  * Added Recommends lxqt-runner-l10n
  * Fixed VCS fields, using https and plain /git/
  * Fixed copyrights Format field to https
  * Fixed copyrights Source field to lxqt-runner
  * Bumped years in copyrights
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible 

 -- Alf Gaida <agaida@siduction.org>  Wed, 20 Jul 2016 23:36:42 +0200

=== debian/control ===
Source: lxqt-runner
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.0),
               liblxqt-globalkeys0-dev (>= 0.11.0),
               liblxqt-globalkeys-ui0-dev (>= 0.11.0),
               libmenu-cache-dev,
               libmuparser-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 2.0.0),
               libqt5xdgiconloader-dev (>= 2.0.0),
               libx11-dev,
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-runner.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-runner.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-runner

Package: lxqt-runner
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-runner-l10n
Description: LXQt program launcher
 Tool used to launch programs quickly by typing their names
 .
 This package contain LXQt runner.

## lxqt-runner 0.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,8 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
+
+set(REQUIRED_MENUCACHE_VERSION "0.3.3")
 
 include(CMakeDependentOption)
 include(GNUInstallDirs)
@@ -39,9 +41,7 @@
 
 if (USE_MENU_CACHE)
     # optionally use libmenu-cache from lxde to generate the application menu
-    pkg_check_modules(MENU_CACHE REQUIRED QUIET
-        libmenu-cache>=0.3.3
-    )
+    find_package(MenuCache "${REQUIRED_MENUCACHE_VERSION}" REQUIRED)
 endif()
 
 if (RUNNER_MATH)
@@ -80,7 +80,7 @@
     lxqt
     lxqt-globalkeys
     lxqt-globalkeys-ui
-    ${MENU_CACHE_LIBRARIES}
+    ${MENUCACHE_LIBRARIES}
     ${QTX_LIBRARIES}
     ${MUPARSER_LDFLAGS}
 )
@@ -127,7 +127,7 @@
 endif ()
 
 target_include_directories(${PROJECT_NAME}
-    PRIVATE "$<$<BOOL:${MENU_CACHE_FOUND}>:${MENU_CACHE_INCLUDE_DIRS}>"
+    PRIVATE "$<$<BOOL:${MENUCACHE_FOUND}>:${MENUCACHE_INCLUDE_DIRS}>"
     PRIVATE "$<$<BOOL:${MUPARSER_FOUND}>:${MUPARSER_INCLUDE_DIRS}>"
 )
 
@@ -135,7 +135,7 @@
     PRIVATE "$<$<BOOL:${RUNNER_MATH}>:MATH_ENABLED>"
     PRIVATE "$<$<BOOL:${RUNNER_VBOX}>:VBOX_ENABLED>"
     PRIVATE "$<$<BOOL:${RUNNER_VBOX_HEADLESS}>:VBOX_HEADLESS_ENABLED>"
-    PRIVATE "$<$<BOOL:${MENU_CACHE_FOUND}>:HAVE_MENU_CACHE=1>"
+    PRIVATE "$<$<BOOL:${MENUCACHE_FOUND}>:HAVE_MENU_CACHE=1>"
 )
 
 target_link_libraries(${PROJECT_NAME}
@@ -148,13 +148,3 @@
     RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
     COMPONENT Runtime
 )
-
-# building tarball with CPack -------------------------------------------------
-include(InstallRequiredSystemLibraries)
-set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
-set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
-set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
-set(CPACK_GENERATOR TBZ2)
-set(CPACK_SOURCE_GENERATOR TBZ2)
-set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
-include(CPack)

=== debian/changelog ===
lxqt-runner (0.11.1-2build1) bionic; urgency=medium

  * No-change rebuild against qtbase5-private-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Nov 2017 17:18:59 -0500

lxqt-runner (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Added to Recommends lxqt-policykit, lxqt-qtplugin, lxqt-session
    (Closes: #866318)
  * Added Suggests: lxqt | lxqt-core

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 01:15:53 +0200

lxqt-runner (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed some build dependencies:
    - cmake
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - pkg-config
    - qtbase5-private-dev
    - qttools5-dev
    - qttools5-dev-tools
  * Bumped some build-dependencies:
    - liblxqt0-dev (>= 0.11.1)
    - liblxqt-globalkeys0-dev (>= 0.11.1)
    - liblxqt-globalkeys-ui0-dev (>= 0.11.1) 
  * Bump years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 19:27:11 +0100

=== debian/control ===
Source: lxqt-runner
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.1),
               liblxqt-globalkeys0-dev (>= 0.11.1),
               liblxqt-globalkeys-ui0-dev (>= 0.11.1),
               libmenu-cache-dev,
               libmuparser-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-runner.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-runner.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-runner

Package: lxqt-runner
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-runner-l10n,
            lxqt-policykit,
            lxqt-qtplugin,
            lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt program launcher
 Tool used to launch programs quickly by typing their names
 .
 This package contain LXQt runner.

## lxqt-runner 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,18 +25,23 @@
 find_package(KF5WindowSystem REQUIRED)
 find_package(Qt5Widgets REQUIRED)
 find_package(Qt5Xml REQUIRED)
-find_package(Qt5LinguistTools REQUIRED QUIET)
+find_package(Qt5LinguistTools REQUIRED)
 find_package(lxqt REQUIRED)
 find_package(lxqt-globalkeys REQUIRED)
 find_package(lxqt-globalkeys-ui REQUIRED)
-message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")
+message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
+
+# Patch Version
+set(LXQT_RUNNER_PATCH_VERSION 0)
+set(LXQT_RUNNER_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_RUNNER_PATCH_VERSION})
+add_definitions("-DLXQT_RUNNER_VERSION=\"${LXQT_RUNNER_VERSION}\"")
 
 set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml)
 
 if (USE_MENU_CACHE OR RUNNER_MATH)
-    find_package(PkgConfig REQUIRED QUIET)
+    find_package(PkgConfig REQUIRED)
 endif ()
 
 if (USE_MENU_CACHE)
@@ -45,7 +50,7 @@
 endif()
 
 if (RUNNER_MATH)
-    pkg_check_modules(MUPARSER REQUIRED QUIET muparser)
+    pkg_check_modules(MUPARSER REQUIRED muparser)
 endif ()
 
 set(lxqt-runner_H_FILES
@@ -148,3 +153,6 @@
     RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
     COMPONENT Runtime
 )
+
+# merged from lxqt-common
+add_subdirectory(autostart)

=== autostart/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
)
add_custom_target(lxq_runner_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-runner (0.12.0-4ubuntu1) bionic; urgency=medium

  * Cherry-pick an upstream commit because the upstream release cycle is
    horribly slow:
    - AppLinkItem: Make genericName searchable.
      + make-genericName-searchable.patch
      + Upstream commit c47a674.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 05 Feb 2018 20:34:08 -0600

lxqt-runner (0.12.0-4) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed debian/gbp.conf 

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 22:41:16 +0100

lxqt-runner (0.12.0-3) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 20:49:23 +0100

lxqt-runner (0.12.0-2) experimental; urgency=medium

  * Added missed breaks and replaces for lxqt-common << 0.12.0
    (Closes: #879912) - Thanks Andreas Beckmann <anbe@debian.org>

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Oct 2017 22:44:36 +0200

lxqt-runner (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped liblxqt0-dev to >= 0.12.0
  * Bumped liblxqt-globalkeys0-dev to >= 0.12.0
  * Bumped liblxqt-globalkeys-ui0-dev to >= 0.12.0
  * Bumped Standards to 4.1.1 - no changes needed

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 22:48:40 +0200

=== debian/control ===
Source: lxqt-runner
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.12.0),
               liblxqt-globalkeys0-dev (>= 0.12.0),
               liblxqt-globalkeys-ui0-dev (>= 0.12.0),
               libmenu-cache-dev,
               libmuparser-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-runner.git
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-runner.git
Homepage: https://github.com/lxde/lxqt-runner

Package: lxqt-runner
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-runner-l10n,
            lxqt-policykit,
            lxqt-qtplugin,
            lxqt-session
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: LXQt program launcher
 Tool used to launch programs quickly by typing their names
 .
 This package contain LXQt runner.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-runner/releases .*/lxqt-runner-([\d\.]+).tar.xz

## lxqt-runner 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,13 +8,13 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-set(REQUIRED_MENUCACHE_VERSION "0.3.3")
+set(REQUIRED_MENUCACHE_VERSION "1.1.0")
 
 include(CMakeDependentOption)
 include(GNUInstallDirs)
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
-option(USE_MENU_CACHE "Use libmenu-cache from LXDE to generate the app menu" ON)
+option(USE_MENU_CACHE "Use libmenu-cache from LXDE to generate the app menu" OFF)
 option(RUNNER_MATH "Math operations support" ON)
 option(RUNNER_VBOX "Virtual Box support" ON)
 cmake_dependent_option(RUNNER_VBOX_HEADLESS
@@ -31,12 +31,16 @@
 find_package(lxqt-globalkeys-ui REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 # Patch Version
 set(LXQT_RUNNER_PATCH_VERSION 0)
 set(LXQT_RUNNER_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_RUNNER_PATCH_VERSION})
-add_definitions("-DLXQT_RUNNER_VERSION=\"${LXQT_RUNNER_VERSION}\"")
+add_definitions(
+    "-DLXQT_RUNNER_VERSION=\"${LXQT_RUNNER_VERSION}\""
+    "-DQT_NO_FOREACH"
+)
 
 set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml)

=== debian/changelog ===
lxqt-runner (0.13.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:43:28 -0700

lxqt-runner (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependencies:
    - liblxqt0-dev to >= 0.13.0~
    - liblxqt-globalkeys0-dev to >= 0.13.0~
    - liblxqt-globalkeys-ui0-dev to >= 0.13.0~
  * Removed not used build dependency qtbase5-private-dev
  * Moved debian/.gitignore to ./.gitignore

 -- Alf Gaida <agaida@siduction.org>  Fri, 25 May 2018 00:30:26 +0200

lxqt-runner (0.12.0-6) unstable; urgency=medium

  * Changed Source and watch to lxqt
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 16:21:12 +0200

lxqt-runner (0.12.0-5) unstable; urgency=medium

  * debian/rules USE_MENU_CACHE=OFF (Closes:#896513)
  * Removed build dependency on libmenu-cache-dev
  * Bumped debhelper to 11~
  * Bumped compat to 11
  * Bumped Standards to 4.1.4, no changes needed
  * Fixed VCS fields for salsa
  * Fixed homepage
  * Removed trailing whitespaces from changelog

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Apr 2018 20:08:15 +0200

=== debian/control ===
Source: lxqt-runner
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11~),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.13.0~),
               liblxqt-globalkeys0-dev (>= 0.13.0~),
               liblxqt-globalkeys-ui0-dev (>= 0.13.0~),
               libmuparser-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
Homepage: https://github.com/lxqt/lxqt-runner

Package: lxqt-runner
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-runner-l10n,
            lxqt-policykit,
            lxqt-qtplugin,
            lxqt-session
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: LXQt program launcher
 Tool used to launch programs quickly by typing their names
 .
 This package contain LXQt runner.

## lxqt-runner 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,34 +1,42 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(lxqt-runner)
 
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTORCC ON)
+set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
-set(CMAKE_AUTOUIC ON)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-
-set(REQUIRED_MENUCACHE_VERSION "1.1.0")
 
 include(CMakeDependentOption)
 include(GNUInstallDirs)
 
+option(RUNNER_MATH "Math operations support" ON)
+option(RUNNER_VBOX "Virtual Box support" ON)
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 option(USE_MENU_CACHE "Use libmenu-cache from LXDE to generate the app menu" OFF)
-option(RUNNER_MATH "Math operations support" ON)
-option(RUNNER_VBOX "Virtual Box support" ON)
 cmake_dependent_option(RUNNER_VBOX_HEADLESS
     "Use headless mode instead of default window" OFF
     "RUNNER_VBOX" OFF
 )
 
-find_package(KF5WindowSystem REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5Xml REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
-find_package(lxqt REQUIRED)
-find_package(lxqt-globalkeys REQUIRED)
-find_package(lxqt-globalkeys-ui REQUIRED)
+# Minimum Versions
+set(KF5_MINIMUM_VERSION "5.36.0")
+set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
+set(LXQT_MINIMUM_VERSION "0.14.0")
+set(QT_MINIMUM_VERSION "5.7.1")
+
+find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5Xml ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt-globalkeys ${LXQT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt-globalkeys-ui ${LXQT_MINIMUM_VERSION} REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 include(LXQtPreventInSourceBuilds)
@@ -39,7 +47,6 @@
 set(LXQT_RUNNER_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_RUNNER_PATCH_VERSION})
 add_definitions(
     "-DLXQT_RUNNER_VERSION=\"${LXQT_RUNNER_VERSION}\""
-    "-DQT_NO_FOREACH"
 )
 
 set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml)
@@ -50,7 +57,7 @@
 
 if (USE_MENU_CACHE)
     # optionally use libmenu-cache from lxde to generate the application menu
-    find_package(MenuCache "${REQUIRED_MENUCACHE_VERSION}" REQUIRED)
+    find_package(MenuCache "$(LIBMENUCACHE_MINIMUM_VERSION}" REQUIRED)
 endif()
 
 if (RUNNER_MATH)
@@ -104,21 +111,9 @@
         ${lxqt-runner_UI_FILES}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
 )
 
 lxqt_app_translation_loader(lxqt-runner_QM_LOADER ${PROJECT_NAME})
-
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
 
 if (RUNNER_VBOX)
     list(APPEND QRC_FILES virtualbox-icons.qrc)
@@ -145,6 +140,12 @@
     PRIVATE "$<$<BOOL:${RUNNER_VBOX}>:VBOX_ENABLED>"
     PRIVATE "$<$<BOOL:${RUNNER_VBOX_HEADLESS}>:VBOX_HEADLESS_ENABLED>"
     PRIVATE "$<$<BOOL:${MENUCACHE_FOUND}>:HAVE_MENU_CACHE=1>"
+    PRIVATE
+        "QT_USE_QSTRINGBUILDER"
+        "QT_NO_CAST_FROM_ASCII"
+        "QT_NO_CAST_TO_ASCII"
+        "QT_NO_URL_CAST_FROM_STRING"
+        "QT_NO_CAST_FROM_BYTEARRAY"
 )
 
 target_link_libraries(${PROJECT_NAME}
@@ -158,5 +159,10 @@
     COMPONENT Runtime
 )
 
-# merged from lxqt-common
+install(FILES
+    man/lxqt-runner.1
+    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
+    COMPONENT Runtime
+)
+
 add_subdirectory(autostart)

=== debian/changelog ===
lxqt-runner (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum versions:
    - liblxqt0-dev (>= 0.14.0~)
    - liblxqt-globalkeys0-dev (>= 0.14.0~)
    - liblxqt-globalkeys-ui0-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Fixed d/manpages
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 23:37:58 +0100

=== debian/control ===
Source: lxqt-runner
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.14.0~),
               liblxqt-globalkeys0-dev (>= 0.14.0~),
               liblxqt-globalkeys-ui0-dev (>= 0.14.0~),
               libmuparser-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
Homepage: https://github.com/lxqt/lxqt-runner

Package: lxqt-runner
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-runner-l10n,
            lxqt-policykit,
            lxqt-qtplugin,
            lxqt-session
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: LXQt program launcher
 Tool used to launch programs quickly by typing their names
 .
 This package contain LXQt runner.

Package: lxqt-runner-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-runner (<< 0.11.0)
Replaces: lxqt-runner (<< 0.11.0)
Description: Language package for lxqt-runner
 This package contains the l10n files needed by the lxqt-runner.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DUSE_MENU_CACHE=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-runner 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQT_MINIMUM_VERSION "0.14.0")
+set(LXQT_MINIMUM_VERSION "0.14.1")
 set(QT_MINIMUM_VERSION "5.7.1")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
@@ -43,7 +43,7 @@
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 # Patch Version
-set(LXQT_RUNNER_PATCH_VERSION 0)
+set(LXQT_RUNNER_PATCH_VERSION 1)
 set(LXQT_RUNNER_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_RUNNER_PATCH_VERSION})
 add_definitions(
     "-DLXQT_RUNNER_VERSION=\"${LXQT_RUNNER_VERSION}\""

=== debian/changelog ===
lxqt-runner (0.14.1-1ubuntu2) focal; urgency=medium

  * Updated rules to match debian unstable.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sun, 16 Feb 2020 00:26:35 +0530

lxqt-runner (0.14.1-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Using debhelper-compat.
    - Bump miminum requirements in build deps.
    - Updated manpages.
    - Removed whitespace in debian/source/options.
    - Added upstream metadata.
    - keeping ubutu-side tweaks of writing some build deps in one line.
    - Updated copyright.
    - Updated debian/rules.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Wed, 12 Feb 2020 11:43:52 +0530

lxqt-runner (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum versions:
    - liblxqt0-dev (>= 0.14.1~)
    - liblxqt-globalkeys0-dev (>= 0.14.1~)
    - liblxqt-globalkeys-ui0-dev (>= 0.14.1~)
  * Improve the description for l10n a bit

 -- Alf Gaida <agaida@siduction.org>  Mon, 25 Feb 2019 01:07:36 +0100

lxqt-runner (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 13:29:08 -0600

lxqt-runner (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add a lxqt-runner-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 01:24:46 -0600

lxqt-runner (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Remove patches applied upstream.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 May 2018 22:41:57 -0500

lxqt-runner (0.12.0-6ubuntu1) cosmic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Cherry-pick an upstream commit:
      + AppLinkItem: Make genericName searchable.
        * make-genericName-searchable.patch
        * Upstream commit c47a674.
  * Change the Vcs entries to be Lubuntu-specific.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 21 May 2018 00:13:34 -0500

=== debian/control ===
Source: lxqt-runner
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.14.1~),
               liblxqt-globalkeys0-dev (>= 0.14.1~),
               liblxqt-globalkeys-ui0-dev (>= 0.14.1~),
               libmuparser-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-runner/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-runner.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
Homepage: https://github.com/lxqt/lxqt-runner

Package: lxqt-runner
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-policykit, lxqt-qtplugin, lxqt-runner-l10n, lxqt-session
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: LXQt program launcher
 The LXQt runner provides a GUI that comes up on the desktop and allows for
 launching applications, doing some math or shutting down the system.
 .
 This package contain LXQt runner.

Package: lxqt-runner-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-runner (<< 0.11.0)
Replaces: lxqt-runner (<< 0.11.0)
Description: Language package for lxqt-runner
 The LXQt runner provides a GUI that comes up on the desktop and allows for
 launching applications, doing some math or shutting down the system.
 .
 This package contains the l10n files needed by the lxqt-runner.

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-DPULL_TRANSLATIONS=OFF \
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DUSE_MENU_CACHE=OFF \
+                -DRUNNER_MATH=ON \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-runner 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,23 +27,23 @@
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQT_MINIMUM_VERSION "0.14.1")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQT_MINIMUM_VERSION "0.15.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "0.15.0")
+set(QT_MINIMUM_VERSION "5.10")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Xml ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
-find_package(lxqt-globalkeys ${LXQT_MINIMUM_VERSION} REQUIRED)
-find_package(lxqt-globalkeys-ui ${LXQT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt-globalkeys-ui ${LXQT_GLOBALKEYS_MINIMUM_VERSION} REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 # Patch Version
-set(LXQT_RUNNER_PATCH_VERSION 1)
+set(LXQT_RUNNER_PATCH_VERSION 0)
 set(LXQT_RUNNER_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_RUNNER_PATCH_VERSION})
 add_definitions(
     "-DLXQT_RUNNER_VERSION=\"${LXQT_RUNNER_VERSION}\""
@@ -140,12 +140,6 @@
     PRIVATE "$<$<BOOL:${RUNNER_VBOX}>:VBOX_ENABLED>"
     PRIVATE "$<$<BOOL:${RUNNER_VBOX_HEADLESS}>:VBOX_HEADLESS_ENABLED>"
     PRIVATE "$<$<BOOL:${MENUCACHE_FOUND}>:HAVE_MENU_CACHE=1>"
-    PRIVATE
-        "QT_USE_QSTRINGBUILDER"
-        "QT_NO_CAST_FROM_ASCII"
-        "QT_NO_CAST_TO_ASCII"
-        "QT_NO_URL_CAST_FROM_STRING"
-        "QT_NO_CAST_FROM_BYTEARRAY"
 )
 
 target_link_libraries(${PROJECT_NAME}

=== debian/changelog ===
lxqt-runner (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Update Standards-version to 4.5.0, no changes needed.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:35:17 -0500

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.14.1~),
-               liblxqt-globalkeys0-dev (>= 0.14.1~),
-               liblxqt-globalkeys-ui0-dev (>= 0.14.1~),
+               liblxqt-globalkeys-ui0-dev (>= 0.15.0),
+               liblxqt-globalkeys0-dev (>= 0.15.0),
+               liblxqt0-dev (>= 0.15.0),
                libmuparser-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                qtbase5-private-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-runner/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-runner.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner

## lxqt-runner 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,9 +27,9 @@
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQT_MINIMUM_VERSION "0.15.0")
-set(LXQT_GLOBALKEYS_MINIMUM_VERSION "0.15.0")
-set(QT_MINIMUM_VERSION "5.10")
+set(LXQT_MINIMUM_VERSION "0.16.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "0.16.0")
+set(QT_MINIMUM_VERSION "5.12")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Xml ${QT_MINIMUM_VERSION} REQUIRED)

=== autostart/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
 file(GLOB DESKTOP_FILES_IN *.desktop.in)
 
 # Translations **********************************

=== debian/changelog ===
lxqt-runner (0.16.0-1ubuntu1) hirsute; urgency=low

  [ Raman Sarda ]
  * New upstream version. Merge from debian unstable.
  * Tighten debhelper-compat requirement.
  * Updated dependencies. Dropped qtbase5-priv-dev. Following upstream.

 -- Raman Sarda <theloudspeaker@disroot.org>  Mon, 22 Feb 2021 02:02:03 +0530

lxqt-runner (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 15:31:23 +0800

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt-globalkeys-ui0-dev (>= 0.15.0),
-               liblxqt-globalkeys0-dev (>= 0.15.0),
-               liblxqt0-dev (>= 0.15.0),
+               liblxqt0-dev (>= 0.16.0~),
+               liblxqt-globalkeys0-dev (>= 0.16.0~),
+               liblxqt-globalkeys-ui0-dev (>= 0.16.0~),
                libmuparser-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
-               qtbase5-private-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-runner/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-runner.git

## lxqt-runner 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,8 +27,8 @@
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQT_MINIMUM_VERSION "0.16.0")
-set(LXQT_GLOBALKEYS_MINIMUM_VERSION "0.16.0")
+set(LXQT_MINIMUM_VERSION "0.17.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "0.17.0")
 set(QT_MINIMUM_VERSION "5.12")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
@@ -86,10 +86,6 @@
 set(lxqt-runner_UI_FILES
     dialog.ui
     configuredialog/configuredialog.ui
-)
-
-set(QRC_FILES
-
 )
 
 set(lxqt-runner_LIBRARIES

=== debian/changelog ===
lxqt-runner (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
    - Use liblxqt-globalkeys0-dev 0.17.0
    - Use liblxqt-globalkeys-ui0-dev 0.17.0
  * Update debian/copyright
  * Run wrap-and-sort

 -- apt-ghetto <apt-ghetto@protonmail.com>  Mon, 16 Aug 2021 14:18:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.16.0~),
-               liblxqt-globalkeys0-dev (>= 0.16.0~),
-               liblxqt-globalkeys-ui0-dev (>= 0.16.0~),
+               liblxqt-globalkeys-ui0-dev (>= 0.17.0),
+               liblxqt-globalkeys0-dev (>= 0.17.0),
+               liblxqt0-dev (>= 0.17.0),
                libmuparser-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libx11-dev,
-Standards-Version: 4.5.0
+               libx11-dev
+Standards-Version: 4.5.1
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-runner/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-runner.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner

## lxqt-runner 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,9 +27,9 @@
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQT_MINIMUM_VERSION "0.17.0")
-set(LXQT_GLOBALKEYS_MINIMUM_VERSION "0.17.0")
-set(QT_MINIMUM_VERSION "5.12")
+set(LXQT_MINIMUM_VERSION "1.1.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.1.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Xml ${QT_MINIMUM_VERSION} REQUIRED)
@@ -57,7 +57,7 @@
 
 if (USE_MENU_CACHE)
     # optionally use libmenu-cache from lxde to generate the application menu
-    find_package(MenuCache "$(LIBMENUCACHE_MINIMUM_VERSION}" REQUIRED)
+    find_package(MenuCache "${LIBMENUCACHE_MINIMUM_VERSION}" REQUIRED)
 endif()
 
 if (RUNNER_MATH)

=== debian/changelog ===
lxqt-runner (1.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 14:38:41 -0700

lxqt-runner (1.1.0-1) experimental; urgency=medium

  * Add debian/salsa-ci.yml file.
  * Update debian/upstream/signing-key.asc.
  * New upstream version 1.0.0
  * New upstream version 1.1.0
  * Build-deps on liblxqt1-dev (>= 1.1.0~).
  * Build-deps on liblxqt-globalkeys1-dev (>= 1.1.0~).
  * Build-deps on liblxqt-globalkeys-ui1-dev (>= 1.1.0~).
  * Drop obsoleted Breaks and Replaces lines.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 15 Jul 2022 22:33:18 +0800

=== debian/control ===
Source: lxqt-runner
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               liblxqt-globalkeys-ui1-dev (>= 1.1.0~),
               liblxqt-globalkeys1-dev (>= 1.1.0~),
               liblxqt1-dev (>= 1.1.0~),
               libmuparser-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
Homepage: https://github.com/lxqt/lxqt-runner

Package: lxqt-runner
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-policykit, lxqt-qtplugin, lxqt-runner-l10n, lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt program launcher
 The LXQt runner provides a GUI that comes up on the desktop and allows for
 launching applications, doing some math or shutting down the system.
 .
 This package contain LXQt runner.

Package: lxqt-runner-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-runner
 The LXQt runner provides a GUI that comes up on the desktop and allows for
 launching applications, doing some math or shutting down the system.
 .
 This package contains the l10n files needed by the lxqt-runner.

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,11 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DPULL_TRANSLATIONS=OFF \
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DUSE_MENU_CACHE=OFF \
                 -DRUNNER_MATH=ON \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
